package com.ruoyi.system.service.columns.impl;

import com.ruoyi.system.domain.columns.YjInherit;
import com.ruoyi.system.mapper.colums.YjInheritMapper;
import com.ruoyi.system.service.columns.IYjInheritService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 瑜伽传承Service业务层处理
 *
 * @author ruoyi
 * @date 2025-10-29
 */
@Service
public class YjInheritServiceImpl implements IYjInheritService
{
    @Autowired
    private YjInheritMapper yjInheritMapper;

    /**
     * 查询瑜伽传承
     *
     * @param id 瑜伽传承主键
     * @return 瑜伽传承
     */
    @Override
    public YjInherit selectYjInheritById(String id)
    {
        return yjInheritMapper.selectYjInheritById(id);
    }

    /**
     * 查询瑜伽传承列表
     *
     * @param yjInherit 瑜伽传承
     * @return 瑜伽传承
     */
    @Override
    public List<YjInherit> selectYjInheritList(YjInherit yjInherit)
    {
        return yjInheritMapper.selectYjInheritList(yjInherit);
    }

    /**
     * 新增瑜伽传承
     *
     * @param yjInherit 瑜伽传承
     * @return 结果
     */
    @Override
    public int insertYjInherit(YjInherit yjInherit)
    {
//        yjInherit.setDeptId(SecurityUtils.getDeptId());
        return yjInheritMapper.insertYjInherit(yjInherit);
    }

    /**
     * 修改瑜伽传承
     *
     * @param yjInherit 瑜伽传承
     * @return 结果
     */
    @Override
    public int updateYjInherit(YjInherit yjInherit)
    {
        return yjInheritMapper.updateYjInherit(yjInherit);
    }

    /**
     * 批量删除瑜伽传承
     *
     * @param ids 需要删除的瑜伽传承主键
     * @return 结果
     */
    @Override
    public int deleteYjInheritByIds(String[] ids)
    {
        return yjInheritMapper.deleteYjInheritByIds(ids);
    }

    /**
     * 删除瑜伽传承信息
     *
     * @param id 瑜伽传承主键
     * @return 结果
     */
    @Override
    public int deleteYjInheritById(String id)
    {
        return yjInheritMapper.deleteYjInheritById(id);
    }
}
